emacs-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Emacs-diffs] /srv/bzr/emacs/trunk r108903: Tweaks for make-dist --updat


From: Glenn Morris
Subject: [Emacs-diffs] /srv/bzr/emacs/trunk r108903: Tweaks for make-dist --update.
Date: Fri, 06 Jul 2012 00:40:43 -0700
User-agent: Bazaar (2.5.0)

------------------------------------------------------------
revno: 108903
committer: Glenn Morris <address@hidden>
branch nick: trunk
timestamp: Fri 2012-07-06 00:40:43 -0700
message:
  Tweaks for make-dist --update.
  
  * make-dist [update]: Let autoreconf figure out what needs updating.
  Use `make info-real'.  leim/leim-list.el should always exist.
  Check cd return value.
modified:
  ChangeLog
  make-dist
=== modified file 'ChangeLog'
--- a/ChangeLog 2012-07-06 03:08:57 +0000
+++ b/ChangeLog 2012-07-06 07:40:43 +0000
@@ -1,3 +1,9 @@
+2012-07-06  Glenn Morris  <address@hidden>
+
+       * make-dist [update]: Let autoreconf figure out what needs updating.
+       Use `make info-real'.  leim/leim-list.el should always exist.
+       Check cd return value.
+
 2012-07-06  Paul Eggert  <address@hidden>
 
        Merge from gnulib.  This is for OpenBSD 5.1 amd64.

=== modified file 'make-dist'
--- a/make-dist 2012-06-06 01:06:54 +0000
+++ b/make-dist 2012-07-06 07:40:43 +0000
@@ -230,35 +230,24 @@
 
 if [ $update = yes ]; then
 
-  ## Make sure configure is newer than configure.in.
-  if [ "x`ls -t configure configure.in | sed q`" != "xconfigure" ]; then
-    echo "\`./configure.in' is newer than \`./configure'" >&2
-    echo "Running autoconf" >&2
-    autoconf || { x=$?; echo Autoconf FAILED! >&2; exit $x; }
-  fi
+  ## Make sure configure is newer than configure.in, etc.
+  ## It is better to let autoreconf do what is needed than
+  ## for us to try and duplicate all its checks.
+  echo "Running autoreconf"
+  autoreconf -i -I m4 || { x=$?; echo Autoreconf FAILED! >&2; exit $x; }
 
   ## Make sure src/stamp-h.in is newer than configure.in.
-  if [ "x`ls -t src/stamp-h.in configure.in | sed q`" != "xsrc/stamp-h.in" ]; 
then
-    echo "\`./configure.in' is newer than \`./src/stamp-h.in'" >&2
-    echo "Running autoheader" >&2
-    autoheader || { x=$?; echo Autoheader FAILED! >&2; exit $x; }
-    rm -f src/stamp-h.in
-    echo timestamp > src/stamp-h.in
-  fi
+  rm -f src/stamp-h.in
+  echo timestamp > src/stamp-h.in
 
   echo "Updating Info files"
-  (cd doc/emacs; make info)
-  (cd doc/misc; make info)
-  (cd doc/lispref; make info)
-  (cd doc/lispintro; make info)
+  make info-real
 
   echo "Updating finder, custom and autoload data"
-  (cd lisp; make updates EMACS="$EMACS")
+  (cd lisp && make updates EMACS="$EMACS")
 
-  if test -f leim/leim-list.el; then
-    echo "Updating leim-list.el"
-    (cd leim; make leim-list.el EMACS="$EMACS")
-  fi
+  echo "Updating leim-list.el"
+  (cd leim && make leim-list.el EMACS="$EMACS")
 
   echo "Recompiling Lisp files"
   $EMACS -batch -f batch-byte-recompile-directory lisp leim


reply via email to

[Prev in Thread] Current Thread [Next in Thread]